- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSoLParserData Class Reference

The OSoLParserData Class. More...

`#include <OSoLParserData.h>`

Collaboration diagram for OSoLParserData:

[legend]
List of all members.

## Public Member Functions
| OSoLParserData ()
| the OSoLParserData class constructor
| ~OSoLParserData ()
| the OSoLParserData class destructor
## Public Attributes
bool | osolgeneralPresent
| track which child elements are present
bool | osolsystemPresent
bool | osolservicePresent
bool | osoljobPresent
bool | osoloptimizationPresent
bool | serviceURIPresent
| children of the <general> element
bool | serviceNamePresent
bool | instanceNamePresent
bool | instanceLocationPresent
bool | instanceLocationTypeattON
bool | jobIDPresent
bool | solverToInvokePresent
bool | licensePresent
bool | usernamePresent
bool | passwordPresent
bool | contactPresent
bool | transportTypeattON
bool | otherGeneralOptionsPresent
int | numberOfOtherGeneralOptions
bool | minDiskSpacePresent
| children of the <system> element
bool | minDiskSpaceUnitPresent
bool | minMemoryPresent
bool | minMemoryUnitPresent
bool | minCPUSpeedPresent
bool | minCPUSpeedUnitPresent
bool | minCPUNumberPresent
bool | otherSystemOptionsPresent
int | numberOfOtherSystemOptions
bool | serviceTypePresent
| children of the <service> element
bool | otherServiceOptionsPresent
int | numberOfOtherServiceOptions
bool | maxTimePresent
| children of the <job> element
std::string | maxTimeUnit
bool | maxTimeUnitPresent
double | maxTimeValue
bool | requestedStartTimePresent
std::string | requestedStartTime
bool | dependenciesPresent
int | numberOfDependencies
bool | requiredDirectoriesPresent
int | numberOfRequiredDirectories
bool | requiredFilesPresent
int | numberOfRequiredFiles
bool | directoriesToMakePresent
int | numberOfDirectoriesToMake
bool | filesToMakePresent
int | numberOfFilesToMake
bool | pathPairFromPresent
bool | pathPairToPresent
bool | pathPairMakeCopyPresent
bool | pathPairMakeCopy
bool | inputDirectoriesToMovePresent
int | numberOfInputDirectoriesToMove
bool | inputFilesToMovePresent
int | numberOfInputFilesToMove
bool | outputDirectoriesToMovePresent
int | numberOfOutputDirectoriesToMove
bool | outputFilesToMovePresent
int | numberOfOutputFilesToMove
bool | directoriesToDeletePresent
int | numberOfDirectoriesToDelete
bool | filesToDeletePresent
int | numberOfFilesToDelete
bool | processesToKillPresent
int | numberOfProcessesToKill
bool | otherJobOptionsPresent
int | numberOfOtherJobOptions
int | numberOfPathPairs
int | numberOfVariables
| children of the <optimization> element
bool | numberOfVariablesPresent
int | numberOfObjectives
bool | numberOfObjectivesPresent
int | numberOfConstraints
bool | numberOfConstraintsPresent
bool | variablesPresent
bool | objectivesPresent
bool | constraintsPresent
bool | solverOptionsPresent
bool | idxAttributePresent
bool | valAttributePresent
bool | lbValAttributePresent
bool | ubValAttributePresent
int | numberOfOtherVariableOptions
bool | initialVariableValuesPresent
int | numberOfVar
bool | initialVariableValuesStringPresent
int | numberOfVarStr
bool | initialBasisStatusPresent
int | numberOfBasVar
bool | sosIdxAttributePresent
bool | groupWeightAttributePresent
bool | numberOfVarAttributePresent
bool | numberOfObjAttributePresent
bool | numberOfConAttributePresent
bool | numberOfEnumerationsAttributePresent
int | numberOfIntWt
int | numberOfSOS
int | currentSOS
int | sosIdx
int | numberOfSOSVar
int | numberOfObj
int | numberOfOtherObjectiveOptions
bool | initialObjectiveValuesPresent
int | numberOfObjValues
bool | initialObjectiveBoundsPresent
int | numberOfObjBounds
int | numberOfCon
int | numberOfOtherConstraintOptions
bool | initialConstraintValuesPresent
bool | initialDualVariableValuesPresent
int | numberOfDuals
int | numberOfSolverOptions
double | groupWeight
double | lbDualValue
double | ubDualValue
int | numberOfEnumerations
int | otherOptionType
bool | otherOptionNumberPresent
| attributes of <other> options
bool | otherOptionNamePresent
bool | otherOptionValuePresent
bool | otherOptionSolverPresent
bool | otherOptionCategoryPresent
bool | otherOptionTypePresent
bool | otherOptionDescriptionPresent
bool | numberOfItemsPresent
int | numberOfItems
bool | solverOptionNamePresent
| attributes of <solverOptions> element
bool | solverOptionValuePresent
bool | solverOptionSolverPresent
bool | solverOptionCategoryPresent
bool | solverOptionTypePresent
bool | solverOptionDescriptionPresent
std::string | itemContent
bool | categoryAttributePresent
| generic attributes
std::string | categoryAttribute
bool | typeAttributePresent
std::string | typeAttribute
bool | nameAttributePresent
std::string | nameAttribute
bool | valueAttributePresent
std::string | valueAttribute
bool | lbValueAttributePresent
std::string | lbValueAttribute
bool | ubValueAttributePresent
std::string | ubValueAttribute
bool | descriptionAttributePresent
std::string | descriptionAttribute
bool | solverAttributePresent
std::string | solverAttribute
bool | unitAttributePresent
std::string | unitAttribute
int | idxAttribute
std::string * | jobDependencies
| all arrays are collected here
std::string * | paths
std::string * | fromPaths
std::string * | toPaths
std::string * | processesToKill
std::string * | valueString
std::string * | lbValueString
std::string * | ubValueString
std::string * | itemList
bool * | makeCopy
int * | idxArray
double * | valArray
double * | lbValArray
double * | ubValArray
int | tempInt
| some temporary items to facilitate code sharing
int | numberOf
int | kounter
int | iOther
int | iOption
double | tempVal
std::string | tempStr
std::string | statusType
| the status type of the result
std::string | statusDescription
| the status Description of the solution
void * | scanner
| scanner is used to store data in a reentrant lexer we use this to pass an OSoLParserData object to the parser
char * | errorText
| if the parser finds invalid text it is held here and we delete if the file was not valid

## Detailed Description

The OSoLParserData Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 08/29/2008

Since:
  OS 1.1

Remarks:
  the OSoLParserData class is used to temporarily hold data found in parsing the OSoL instance we do this so we can have a reentrant parser.

Definition at line 36 of file OSoLParserData.h.

## Constructor & Destructor Documentation

OSoLParserData::OSoLParserData | ( |  | ) |

the OSoLParserData class constructor

Definition at line 21 of file OSoLParserData.cpp.

OSoLParserData::~OSoLParserData | ( |  | ) |

the OSoLParserData class destructor

Definition at line 16 of file OSoLParserData.cpp.

## Member Data Documentation

bool OSoLParserData::osolgeneralPresent

track which child elements are present

Definition at line 39 of file OSoLParserData.h.

bool OSoLParserData::osolsystemPresent

Definition at line 40 of file OSoLParserData.h.

bool OSoLParserData::osolservicePresent

Definition at line 41 of file OSoLParserData.h.

bool OSoLParserData::osoljobPresent

Definition at line 42 of file OSoLParserData.h.

bool OSoLParserData::osoloptimizationPresent

Definition at line 43 of file OSoLParserData.h.

bool OSoLParserData::serviceURIPresent

children of the <general> element

Definition at line 47 of file OSoLParserData.h.

bool OSoLParserData::serviceNamePresent

Definition at line 48 of file OSoLParserData.h.

bool OSoLParserData::instanceNamePresent

Definition at line 49 of file OSoLParserData.h.

bool OSoLParserData::instanceLocationPresent

Definition at line 50 of file OSoLParserData.h.

bool OSoLParserData::instanceLocationTypeattON

Definition at line 51 of file OSoLParserData.h.

bool OSoLParserData::jobIDPresent

Definition at line 52 of file OSoLParserData.h.

bool OSoLParserData::solverToInvokePresent

Definition at line 53 of file OSoLParserData.h.

bool OSoLParserData::licensePresent

Definition at line 54 of file OSoLParserData.h.

bool OSoLParserData::usernamePresent

Definition at line 55 of file OSoLParserData.h.

bool OSoLParserData::passwordPresent

Definition at line 56 of file OSoLParserData.h.

bool OSoLParserData::contactPresent

Definition at line 57 of file OSoLParserData.h.

bool OSoLParserData::transportTypeattON

Definition at line 58 of file OSoLParserData.h.

bool OSoLParserData::otherGeneralOptionsPresent

Definition at line 59 of file OSoLParserData.h.

int OSoLParserData::numberOfOtherGeneralOptions

Definition at line 60 of file OSoLParserData.h.

bool OSoLParserData::minDiskSpacePresent

children of the <system> element

Definition at line 64 of file OSoLParserData.h.

bool OSoLParserData::minDiskSpaceUnitPresent

Definition at line 65 of file OSoLParserData.h.

bool OSoLParserData::minMemoryPresent

Definition at line 67 of file OSoLParserData.h.

bool OSoLParserData::minMemoryUnitPresent

Definition at line 68 of file OSoLParserData.h.

bool OSoLParserData::minCPUSpeedPresent

Definition at line 70 of file OSoLParserData.h.

bool OSoLParserData::minCPUSpeedUnitPresent

Definition at line 71 of file OSoLParserData.h.

bool OSoLParserData::minCPUNumberPresent

Definition at line 73 of file OSoLParserData.h.

bool OSoLParserData::otherSystemOptionsPresent

Definition at line 75 of file OSoLParserData.h.

int OSoLParserData::numberOfOtherSystemOptions

Definition at line 76 of file OSoLParserData.h.

bool OSoLParserData::serviceTypePresent

children of the <service> element

Definition at line 80 of file OSoLParserData.h.

bool OSoLParserData::otherServiceOptionsPresent

Definition at line 82 of file OSoLParserData.h.

int OSoLParserData::numberOfOtherServiceOptions

Definition at line 83 of file OSoLParserData.h.

bool OSoLParserData::maxTimePresent

children of the <job> element

Definition at line 87 of file OSoLParserData.h.

std::string OSoLParserData::maxTimeUnit

Definition at line 88 of file OSoLParserData.h.

bool OSoLParserData::maxTimeUnitPresent

Definition at line 89 of file OSoLParserData.h.

double OSoLParserData::maxTimeValue

Definition at line 90 of file OSoLParserData.h.

bool OSoLParserData::requestedStartTimePresent

Definition at line 92 of file OSoLParserData.h.

std::string OSoLParserData::requestedStartTime

Definition at line 93 of file OSoLParserData.h.

bool OSoLParserData::dependenciesPresent

Definition at line 95 of file OSoLParserData.h.

int OSoLParserData::numberOfDependencies

Definition at line 96 of file OSoLParserData.h.

bool OSoLParserData::requiredDirectoriesPresent

Definition at line 98 of file OSoLParserData.h.

int OSoLParserData::numberOfRequiredDirectories

Definition at line 99 of file OSoLParserData.h.

bool OSoLParserData::requiredFilesPresent

Definition at line 101 of file OSoLParserData.h.

int OSoLParserData::numberOfRequiredFiles

Definition at line 102 of file OSoLParserData.h.

bool OSoLParserData::directoriesToMakePresent

Definition at line 104 of file OSoLParserData.h.

int OSoLParserData::numberOfDirectoriesToMake

Definition at line 105 of file OSoLParserData.h.

bool OSoLParserData::filesToMakePresent

Definition at line 107 of file OSoLParserData.h.

int OSoLParserData::numberOfFilesToMake

Definition at line 108 of file OSoLParserData.h.

bool OSoLParserData::pathPairFromPresent

Definition at line 110 of file OSoLParserData.h.

bool OSoLParserData::pathPairToPresent

Definition at line 111 of file OSoLParserData.h.

bool OSoLParserData::pathPairMakeCopyPresent

Definition at line 112 of file OSoLParserData.h.

bool OSoLParserData::pathPairMakeCopy

Definition at line 113 of file OSoLParserData.h.

bool OSoLParserData::inputDirectoriesToMovePresent

Definition at line 115 of file OSoLParserData.h.

int OSoLParserData::numberOfInputDirectoriesToMove

Definition at line 116 of file OSoLParserData.h.

bool OSoLParserData::inputFilesToMovePresent

Definition at line 118 of file OSoLParserData.h.

int OSoLParserData::numberOfInputFilesToMove

Definition at line 119 of file OSoLParserData.h.

bool OSoLParserData::outputDirectoriesToMovePresent

Definition at line 121 of file OSoLParserData.h.

int OSoLParserData::numberOfOutputDirectoriesToMove

Definition at line 122 of file OSoLParserData.h.

bool OSoLParserData::outputFilesToMovePresent

Definition at line 124 of file OSoLParserData.h.

int OSoLParserData::numberOfOutputFilesToMove

Definition at line 125 of file OSoLParserData.h.

bool OSoLParserData::directoriesToDeletePresent

Definition at line 127 of file OSoLParserData.h.

int OSoLParserData::numberOfDirectoriesToDelete

Definition at line 128 of file OSoLParserData.h.

bool OSoLParserData::filesToDeletePresent

Definition at line 130 of file OSoLParserData.h.

int OSoLParserData::numberOfFilesToDelete

Definition at line 131 of file OSoLParserData.h.

bool OSoLParserData::processesToKillPresent

Definition at line 133 of file OSoLParserData.h.

int OSoLParserData::numberOfProcessesToKill

Definition at line 134 of file OSoLParserData.h.

bool OSoLParserData::otherJobOptionsPresent

Definition at line 136 of file OSoLParserData.h.

int OSoLParserData::numberOfOtherJobOptions

Definition at line 137 of file OSoLParserData.h.

int OSoLParserData::numberOfPathPairs

Definition at line 139 of file OSoLParserData.h.

int OSoLParserData::numberOfVariables

children of the <optimization> element

Definition at line 142 of file OSoLParserData.h.

bool OSoLParserData::numberOfVariablesPresent

Definition at line 143 of file OSoLParserData.h.

int OSoLParserData::numberOfObjectives

Definition at line 144 of file OSoLParserData.h.

bool OSoLParserData::numberOfObjectivesPresent

Definition at line 145 of file OSoLParserData.h.

int OSoLParserData::numberOfConstraints

Definition at line 146 of file OSoLParserData.h.

bool OSoLParserData::numberOfConstraintsPresent

Definition at line 147 of file OSoLParserData.h.

bool OSoLParserData::variablesPresent

Definition at line 148 of file OSoLParserData.h.

bool OSoLParserData::objectivesPresent

Definition at line 149 of file OSoLParserData.h.

bool OSoLParserData::constraintsPresent

Definition at line 150 of file OSoLParserData.h.

bool OSoLParserData::solverOptionsPresent

Definition at line 151 of file OSoLParserData.h.

bool OSoLParserData::idxAttributePresent

Definition at line 152 of file OSoLParserData.h.

bool OSoLParserData::valAttributePresent

Definition at line 153 of file OSoLParserData.h.

bool OSoLParserData::lbValAttributePresent

Definition at line 154 of file OSoLParserData.h.

bool OSoLParserData::ubValAttributePresent

Definition at line 155 of file OSoLParserData.h.

int OSoLParserData::numberOfOtherVariableOptions

Definition at line 156 of file OSoLParserData.h.

bool OSoLParserData::initialVariableValuesPresent

Definition at line 157 of file OSoLParserData.h.

int OSoLParserData::numberOfVar

Definition at line 158 of file OSoLParserData.h.

bool OSoLParserData::initialVariableValuesStringPresent

Definition at line 159 of file OSoLParserData.h.

int OSoLParserData::numberOfVarStr

Definition at line 160 of file OSoLParserData.h.

bool OSoLParserData::initialBasisStatusPresent

Definition at line 161 of file OSoLParserData.h.

int OSoLParserData::numberOfBasVar

Definition at line 162 of file OSoLParserData.h.

bool OSoLParserData::sosIdxAttributePresent

Definition at line 163 of file OSoLParserData.h.

bool OSoLParserData::groupWeightAttributePresent

Definition at line 164 of file OSoLParserData.h.

bool OSoLParserData::numberOfVarAttributePresent

Definition at line 165 of file OSoLParserData.h.

bool OSoLParserData::numberOfObjAttributePresent

Definition at line 166 of file OSoLParserData.h.

bool OSoLParserData::numberOfConAttributePresent

Definition at line 167 of file OSoLParserData.h.

bool OSoLParserData::numberOfEnumerationsAttributePresent

Definition at line 168 of file OSoLParserData.h.

int OSoLParserData::numberOfIntWt

Definition at line 169 of file OSoLParserData.h.

int OSoLParserData::numberOfSOS

Definition at line 170 of file OSoLParserData.h.

int OSoLParserData::currentSOS

Definition at line 171 of file OSoLParserData.h.

int OSoLParserData::sosIdx

Definition at line 172 of file OSoLParserData.h.

int OSoLParserData::numberOfSOSVar

Definition at line 173 of file OSoLParserData.h.

int OSoLParserData::numberOfObj

Definition at line 174 of file OSoLParserData.h.

int OSoLParserData::numberOfOtherObjectiveOptions

Definition at line 175 of file OSoLParserData.h.

bool OSoLParserData::initialObjectiveValuesPresent

Definition at line 176 of file OSoLParserData.h.

int OSoLParserData::numberOfObjValues

Definition at line 177 of file OSoLParserData.h.

bool OSoLParserData::initialObjectiveBoundsPresent

Definition at line 178 of file OSoLParserData.h.

int OSoLParserData::numberOfObjBounds

Definition at line 179 of file OSoLParserData.h.

int OSoLParserData::numberOfCon

Definition at line 180 of file OSoLParserData.h.

int OSoLParserData::numberOfOtherConstraintOptions

Definition at line 181 of file OSoLParserData.h.

bool OSoLParserData::initialConstraintValuesPresent

Definition at line 182 of file OSoLParserData.h.

bool OSoLParserData::initialDualVariableValuesPresent

Definition at line 183 of file OSoLParserData.h.

int OSoLParserData::numberOfDuals

Definition at line 184 of file OSoLParserData.h.

int OSoLParserData::numberOfSolverOptions

Definition at line 185 of file OSoLParserData.h.

double OSoLParserData::groupWeight

Definition at line 186 of file OSoLParserData.h.

double OSoLParserData::lbDualValue

Definition at line 187 of file OSoLParserData.h.

double OSoLParserData::ubDualValue

Definition at line 188 of file OSoLParserData.h.

int OSoLParserData::numberOfEnumerations

Definition at line 189 of file OSoLParserData.h.

int OSoLParserData::otherOptionType

Definition at line 190 of file OSoLParserData.h.

bool OSoLParserData::otherOptionNumberPresent

attributes of <other> options

Definition at line 193 of file OSoLParserData.h.

bool OSoLParserData::otherOptionNamePresent

Definition at line 194 of file OSoLParserData.h.

bool OSoLParserData::otherOptionValuePresent

Definition at line 195 of file OSoLParserData.h.

bool OSoLParserData::otherOptionSolverPresent

Definition at line 196 of file OSoLParserData.h.

bool OSoLParserData::otherOptionCategoryPresent

Definition at line 197 of file OSoLParserData.h.

bool OSoLParserData::otherOptionTypePresent

Definition at line 198 of file OSoLParserData.h.

bool OSoLParserData::otherOptionDescriptionPresent

Definition at line 199 of file OSoLParserData.h.

bool OSoLParserData::numberOfItemsPresent

Definition at line 200 of file OSoLParserData.h.

int OSoLParserData::numberOfItems

Definition at line 201 of file OSoLParserData.h.

bool OSoLParserData::solverOptionNamePresent

attributes of <solverOptions> element

Definition at line 204 of file OSoLParserData.h.

bool OSoLParserData::solverOptionValuePresent

Definition at line 205 of file OSoLParserData.h.

bool OSoLParserData::solverOptionSolverPresent

Definition at line 206 of file OSoLParserData.h.

bool OSoLParserData::solverOptionCategoryPresent

Definition at line 207 of file OSoLParserData.h.

bool OSoLParserData::solverOptionTypePresent

Definition at line 208 of file OSoLParserData.h.

bool OSoLParserData::solverOptionDescriptionPresent

Definition at line 209 of file OSoLParserData.h.

std::string OSoLParserData::itemContent

Definition at line 210 of file OSoLParserData.h.

bool OSoLParserData::categoryAttributePresent

generic attributes

Definition at line 214 of file OSoLParserData.h.

std::string OSoLParserData::categoryAttribute

Definition at line 215 of file OSoLParserData.h.

bool OSoLParserData::typeAttributePresent

Definition at line 216 of file OSoLParserData.h.

std::string OSoLParserData::typeAttribute

Definition at line 217 of file OSoLParserData.h.

bool OSoLParserData::nameAttributePresent

Definition at line 218 of file OSoLParserData.h.

std::string OSoLParserData::nameAttribute

Definition at line 219 of file OSoLParserData.h.

bool OSoLParserData::valueAttributePresent

Definition at line 220 of file OSoLParserData.h.

std::string OSoLParserData::valueAttribute

Definition at line 221 of file OSoLParserData.h.

bool OSoLParserData::lbValueAttributePresent

Definition at line 222 of file OSoLParserData.h.

std::string OSoLParserData::lbValueAttribute

Definition at line 223 of file OSoLParserData.h.

bool OSoLParserData::ubValueAttributePresent

Definition at line 224 of file OSoLParserData.h.

std::string OSoLParserData::ubValueAttribute

Definition at line 225 of file OSoLParserData.h.

bool OSoLParserData::descriptionAttributePresent

Definition at line 226 of file OSoLParserData.h.

std::string OSoLParserData::descriptionAttribute

Definition at line 227 of file OSoLParserData.h.

bool OSoLParserData::solverAttributePresent

Definition at line 228 of file OSoLParserData.h.

std::string OSoLParserData::solverAttribute

Definition at line 229 of file OSoLParserData.h.

bool OSoLParserData::unitAttributePresent

Definition at line 230 of file OSoLParserData.h.

std::string OSoLParserData::unitAttribute

Definition at line 231 of file OSoLParserData.h.

int OSoLParserData::idxAttribute

Definition at line 232 of file OSoLParserData.h.

std::string* OSoLParserData::jobDependencies

all arrays are collected here

Definition at line 236 of file OSoLParserData.h.

std::string* OSoLParserData::paths

Definition at line 237 of file OSoLParserData.h.

std::string* OSoLParserData::fromPaths

Definition at line 238 of file OSoLParserData.h.

std::string* OSoLParserData::toPaths

Definition at line 239 of file OSoLParserData.h.

std::string* OSoLParserData::processesToKill

Definition at line 240 of file OSoLParserData.h.

std::string* OSoLParserData::valueString

Definition at line 242 of file OSoLParserData.h.

std::string* OSoLParserData::lbValueString

Definition at line 243 of file OSoLParserData.h.

std::string* OSoLParserData::ubValueString

Definition at line 244 of file OSoLParserData.h.

std::string* OSoLParserData::itemList

Definition at line 245 of file OSoLParserData.h.

bool* OSoLParserData::makeCopy

Definition at line 247 of file OSoLParserData.h.

int* OSoLParserData::idxArray

Definition at line 248 of file OSoLParserData.h.

double* OSoLParserData::valArray

Definition at line 250 of file OSoLParserData.h.

double* OSoLParserData::lbValArray

Definition at line 251 of file OSoLParserData.h.

double* OSoLParserData::ubValArray

Definition at line 252 of file OSoLParserData.h.

int OSoLParserData::tempInt

some temporary items to facilitate code sharing

Definition at line 256 of file OSoLParserData.h.

int OSoLParserData::numberOf

Definition at line 257 of file OSoLParserData.h.

int OSoLParserData::kounter

Definition at line 258 of file OSoLParserData.h.

int OSoLParserData::iOther

Definition at line 259 of file OSoLParserData.h.

int OSoLParserData::iOption

Definition at line 260 of file OSoLParserData.h.

double OSoLParserData::tempVal

Definition at line 261 of file OSoLParserData.h.

std::string OSoLParserData::tempStr

Definition at line 262 of file OSoLParserData.h.

std::string OSoLParserData::statusType

the status type of the result

Definition at line 272 of file OSoLParserData.h.

std::string OSoLParserData::statusDescription

the status Description of the solution

Definition at line 275 of file OSoLParserData.h.

void* OSoLParserData::scanner

scanner is used to store data in a reentrant lexer we use this to pass an OSoLParserData object to the parser

Definition at line 280 of file OSoLParserData.h.

Referenced by OSoLReader::OSoLReader(), and OSoLReader::~OSoLReader().

char* OSoLParserData::errorText

if the parser finds invalid text it is held here and we delete if the file was not valid

Definition at line 286 of file OSoLParserData.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSoLParserData.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSoLParserData.cpp